> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Data Tripadvisor Reviews Results by id

> This endpoint provides feedback data on businesses listed on the [Tripadvisor](https://www.



## OpenAPI

````yaml openapi/dataforseo.json GET /dataforseo/business_data/tripadvisor/reviews/task_get/{id}
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/tripadvisor/reviews/task_get/{id}:
    get:
      summary: Get Business Data Tripadvisor Reviews Results by id
      description: >-
        This endpoint provides feedback data on businesses listed on the
        [Tripadvisor](https://www.tripadvisor.com/) platform, including their
        locations, ratings, review content and count. The results are specific
        to the URL path indicated in the POST request.
      operationId: get_dataforseo_business_data_tripadvisor_reviews_task_get_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: DataForSEO task ID.
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            *task identifier* **unique task identifier in our system in the
            [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
            format** you will be able to use it within **30 days** to request
            the results of the task at any time
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*the current version of the API*'
                  version.status_code:
                    type: integer
                    description: >-
                      *general status code* you can find the full list of the
                      response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                      **Note:** we strongly recommend designing a necessary
                      system for handling related exceptional or error
                      conditions
                  version.status_message:
                    type: string
                    description: >-
                      *general informational message* you can find the full list
                      of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  version.time:
                    type: string
                    description: '*execution time, seconds*'
                  version.cost:
                    type: number
                    description: '*total *tasks* cost, USD*'
                  version.tasks_count:
                    type: integer
                    description: '*the number of tasks in the **`tasks`** array*'
                  version.tasks_error:
                    type: integer
                    description: >-
                      *the number of tasks in the **`tasks`** array that were
                      returned an error*
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*array of tasks*'
                  tasks.id:
                    type: string
                    description: >-
                      *task identifier* **unique task identifier in our system
                      in the
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      format**
                  tasks.status_code:
                    type: integer
                    description: >-
                      *status code of the task* generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of the response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.status_message:
                    type: string
                    description: >-
                      *informational message of the task* you can find the full
                      list of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.time:
                    type: string
                    description: '*execution time, seconds*'
                  tasks.cost:
                    type: number
                    description: '*cost of the task, USD*'
                  tasks.result_count:
                    type: integer
                    description: '*number of elements in the `result` array*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL path*'
                  tasks.data:
                    type: object
                    description: >-
                      *contains the same parameters that you specified in the
                      POST request*
                  result:
                    type: array
                    items:
                      type: string
                    description: '*array of results*'
                  result.url_path:
                    type: string
                    description: '*URL path received in a POST array*'
                  result.type:
                    type: string
                    description: '*search engine type in a POST array*'
                  result.se_domain:
                    type: string
                    description: '*search engine domain in a POST array*'
                  result.check_url:
                    type: string
                    description: >-
                      *direct URL to search engine results* you can use it to
                      make sure that we provided accurate results
                  result.datetime:
                    type: string
                    description: >-
                      *date and time when the result was received* in the UTC
                      format: “yyyy-mm-dd hh-mm-ss +00:00” example: `2019-11-15
                      12:57:46 +00:00`
                  result.title:
                    type: string
                    description: >-
                      *title of the ‘reviews’ element in SERP* the name of the
                      local establishment for which the reviews are collected
                  result.location:
                    type: string
                    description: >-
                      *location of the local establishment* address of the local
                      establishment for which the reviews are collected
                  result.reviews_count:
                    type: integer
                    description: '*the total number of reviews*'
                  result.rating:
                    type: object
                    description: >-
                      *rating of the corresponding local establishment*
                      popularity rate based on reviews and displayed in SERP
                  result.rating_type:
                    type: string
                    description: >-
                      *type of rating* here you can find the following elements:
                      `Max5`, `Percents`, `CustomMax`
                  result.value:
                    type: number
                    description: '*the average rating based on all reviews*'
                  result.votes_count:
                    type: integer
                    description: '*the number of votes*'
                  result.rating_max:
                    type: integer
                    description: '*the maximum value for a `rating_type`*'
                  result.rating_distribution:
                    type: object
                    description: >-
                      *rating distribution by votes* the distribution of votes
                      across the rating in the range from 1 to 5
                  result.1:
                    type: integer
                    description: '*votes for the 1-point rating*'
                  result.2:
                    type: integer
                    description: '*votes for the 2-points rating*'
                  result.3:
                    type: integer
                    description: '*votes for the 3-points rating*'
                  result.4:
                    type: integer
                    description: '*votes for the 4-points rating*'
                  result.5:
                    type: integer
                    description: '*votes for the 5-points rating*'
                  result.items_count:
                    type: integer
                    description: >-
                      *the number of reviews items in the results array* you can
                      get more results by using the `depth` parameter when
                      setting a task
                  items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *found reviews* you can get more results by using the
                      `depth` parameter when setting a task
                  items.type:
                    type: string
                    description: >-
                      *the review’s type* possible review types:
                      `"tripadvisor_review_search"`
                  items.rank_group:
                    type: integer
                    description: >-
                      *position within a group of elements with identical `type`
                      values* positions of elements with different `type` values
                      are omitted from `rank_group`
                  items.rank_absolute:
                    type: integer
                    description: >-
                      *absolute rank among all the listed reviews* absolute
                      position among all reviews on the list
                  items.position:
                    type: string
                    description: >-
                      *the alignment of the review in SERP* can take the
                      following values: `right`
                  items.url:
                    type: string
                    description: '*URL of the reviewer’s profile*'
                  items.rating:
                    type: object
                    description: '*the rating score submitted by the reviewer*'
                  items.rating_type:
                    type: string
                    description: >-
                      *the type of the rating* can take the following values:
                      `Max5`
                  items.value:
                    type: number
                    description: '*the value of the rating*'
                  items.votes_count:
                    type: integer
                    description: >-
                      *the amount of feedback* in this case, the value will be
                      `null`
                  items.rating_max:
                    type: integer
                    description: >-
                      *the maximum value for a `rating_type`* the maximum value
                      for `Max5` is 5
                  items.date_of_visit:
                    type: string
                    description: >-
                      *date of the reviewer’s visit to the local establishment*
                      in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example:
                      `2019-11-15 12:57:46 +00:00`
                  items.timestamp:
                    type: string
                    description: >-
                      *date and time when the response was published* in the UTC
                      format: “yyyy-mm-dd hh-mm-ss +00:00” example: `2019-11-15
                      12:57:46 +00:00`
                  items.review_id:
                    type: string
                    description: '*ID of the review*'
                  items.title:
                    type: string
                    description: '*title of the owner’s response* indicates the owner’s name'
                  items.review_text:
                    type: string
                    description: '*content of the review*'
                  items.language:
                    type: string
                    description: '*language of the response text*'
                  items.original_language:
                    type: string
                    description: '*language of the untranslated review text*'
                  items.review_images:
                    type: array
                    items:
                      type: string
                    description: '*contains URLs of the images used in the review*'
                  items.user_profile:
                    type: object
                    description: '*information from the reviewer’s profile*'
                  items.name:
                    type: string
                    description: '*reviewer’s profile name*'
                  items.image_url:
                    type: string
                    description: '*URL of the reviewer’s profile image*'
                  items.location:
                    type: string
                    description: '*URL of the reviewer’s profile image*'
                  items.reviews_count:
                    type: string
                    description: '*total number of reviews submitted by the reviewer*'
                  items.responses:
                    type: array
                    items:
                      type: string
                    description: '*contains information about the owner’s response*'
                  items.text:
                    type: string
                    description: '*text of the owner’s response*'
                  items.response_id:
                    type: string
                    description: '*ID of the response*'
                  items.review_highlights:
                    type: array
                    items:
                      type: string
                    description: >-
                      *review highlights* contains highlighted review criteria
                      and assessments
                  items.feature:
                    type: string
                    description: '*reviewed feature*'
                  items.assessment:
                    type: string
                    description: '*feature assessment*'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````